import React, { useState, useEffect } from 'react';
import { Result, Button } from 'antd';

import { connect, history } from 'umi';
const module = 'User';
const ResultPage = () => {
  const [resultTime, setResultTime] = useState(3);

  function loop(i: number) {
    if (i < 4) {
      console.log(i);

      setResultTime(4 - i);
      setTimeout(function () {
        loop(++i);
      }, 1000);
    } else {
      setResultTime(0);
      history.go(-1);
    }
  }

  useEffect(() => {
    loop(1);
  }, []);
  const backPage = () => {};
  return (
    <div style={{ width: '100%', minWidth: 1020, padding: 34, backgroundColor: '#ffffff' }}>
      <Result
        status="success"
        title="Successfully submit the file!"
        subTitle={
          <p>
            server has been handled it ,Wait for <strong>{resultTime}</strong> seconds to return
            automatically.
          </p>
        }
        extra={[
          <Button type="primary" key="ok" onClick={backPage}>
            Ok
          </Button>,
          <Button key="back" onClick={backPage}>
            Back
          </Button>,
        ]}
      />
    </div>
  );
};

function map(state: any) {
  const { Data } = state[module];
  return { Data };
}
export default connect(map)(ResultPage);
